SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'PG_FORN' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'CONTRIBUINTE'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'PG_FORN' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE DBO.PG_FORN ADD CONTRIBUINTE INT NULL

		END
	SET NOCOUNT OFF
	PRINT 'CONTRIBUINTE NA TABELA PG_FORN INSERIDO COM SUCESSO '
END
